GNU bug report logs - #30655
xset(1) not accepting symlink to font path

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Marco van Hulten <marco@HIDDEN>; dated Wed, 28 Feb 2018 21:55:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 30655 <at> debbugs.gnu.org:


Received: (at 30655) by debbugs.gnu.org; 3 Mar 2018 15:26:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 10:26:25 2018
Received: from localhost ([127.0.0.1]:42951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1es93J-0000CR-Ax
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 10:26:25 -0500
Received: from eterpe-smout.broadpark.no ([80.202.8.16]:54275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marco@HIDDEN>) id 1es93F-0000CB-R7
 for 30655 <at> debbugs.gnu.org; Sat, 03 Mar 2018 10:26:22 -0500
MIME-version: 1.0
Content-type: text/plain; charset=UTF-8
Received: from bgo1cloudm1.nextgentel.net ([80.202.8.58])
 by eterpe-smout.broadpark.no
 (Oracle Communications Messaging Server 7u4-27.01(7.0.4.27.0) 64bit (built Aug
 30 2012)) with ESMTP id <0P500048WTJRDF00@HIDDEN> for
 30655 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:26:15 +0100 (CET)
Received: from jasniac.instanton ([89.10.168.15])
 by cmsmtp with SMTP	id s939esAmU7XUXs939erLTS; Sat, 03 Mar 2018 16:26:15 +0100
X-Original-Source-IP: 89.10.168.15
Date: Sat, 03 Mar 2018 16:26:14 +0100
From: Marco van Hulten <marco@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=)
Subject: Re: bug#30655: closed (Re: bug#30655: xset(1) not accepting symlink to
 font path)
Message-id: <20180303162614.2fe6c3c5@HIDDEN>
In-reply-to: <handler.30655.D30655.151999474622089.notifdone <at> debbugs.gnu.org>
References: <87lgfahci2.fsf@HIDDEN>
 <20180228225429.09cd9fd8@HIDDEN>
 <handler.30655.D30655.151999474622089.notifdone <at> debbugs.gnu.org>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.25; x86_64-pc-linux-gnu)
Content-transfer-encoding: quoted-printable
X-CMAE-Envelope: MS4wfE2TCYyeGMSFlaa3vhZtkfr1U2boqAj2Ozoy3aHDvPchriwsGJYI+YWpXBy0qDTA7961BAByLxh4rWVlOlBoAwb9Rx+FPC9F5Jy5oiTGnkPK08CKCzkP
 mYWjJvBrSyDvaAQxKwybBiP9idjYQsmHI9U1jJtLDx9SCQWg8YjF9EgIZi8d/6U2LvDYAtV/5DyOlw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30655
Cc: 30655 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ludo'=E2=80=94

Je  2 mrt 12:46 skribis GNU:
> > diff --git a/doc/guix.texi b/doc/guix.texi
> > index 24db16761..35221ff94 100644
> > --- a/doc/guix.texi
> > +++ b/doc/guix.texi
> > @@ -1572,7 +1572,7 @@ To be able to use such full names for the
> > TrueType fonts installed in your Guix profile, you need to extend the
> > font path of the X server:=20
> >  @example
> > -xset +fp ~/.guix-profile/share/fonts/truetype
> > +xset +fp $(dirname $(readlink -f ~/.guix-profile/share/fonts/truetype/=
fonts.dir))
> >  @end example =20
>=20
> Actually commit 07ec349229 that I just pushed fixes this very line.  So
> I guess we=E2=80=99re done?

I don't think so, because I just did a 'git pull', and found that the
old patch had been applied (the one with `readlink... that doesn't
work, instead of the above with $(dirname $(readlink...) which works.

Apropos, how often are the HTML pages generated from the repository and
put online?

=E2=80=94Marco




Information forwarded to bug-guix@HIDDEN:
bug#30655; Package guix. Full text available.

Message received at 30655-done <at> debbugs.gnu.org:


Received: (at 30655-done) by debbugs.gnu.org; 2 Mar 2018 12:45:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 02 07:45:46 2018
Received: from localhost ([127.0.0.1]:40182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1erk4I-0005kD-1k
	for submit <at> debbugs.gnu.org; Fri, 02 Mar 2018 07:45:46 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:45370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1erk4G-0005k4-CD
 for 30655-done <at> debbugs.gnu.org; Fri, 02 Mar 2018 07:45:44 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id D276511B38;
 Fri,  2 Mar 2018 13:45:43 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id scMwIbIwVtAv; Fri,  2 Mar 2018 13:45:42 +0100 (CET)
Received: from ribbon (unknown [193.50.110.134])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 16D16718B;
 Fri,  2 Mar 2018 13:45:42 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Marco van Hulten <marco@HIDDEN>
Subject: Re: bug#30655: xset(1) not accepting symlink to font path
References: <20180228225429.09cd9fd8@HIDDEN>
 <87po4n4u2u.fsf@HIDDEN> <20180301221501.5e5f419e@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 02 Mar 2018 13:45:41 +0100
In-Reply-To: <20180301221501.5e5f419e@HIDDEN> (Marco van Hulten's
 message of "Thu, 01 Mar 2018 22:15:01 +0100")
Message-ID: <87lgfahci2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30655-done
Cc: 30655-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Marco van Hulten <marco@HIDDEN> skribis:

> Ludovic=E2=80=94
>
> Je  1 mrt 17:52 skribis Ludovic:
>> Marco van Hulten <marco@HIDDEN> skribis:
>>=20
>> > When I follow the manual at
>> > https://www.gnu.org/software/guix/manual/html_node/Application-Setup.h=
tml#X11-Fonts ,
>> > I get the message that there is something wrong with the directory I'm
>> > trying to add it:
>> >
>> >
>> > gast@graviton ~$ xset +fp ~/.guix-profile/share/fonts/truetype
>> > xset:  bad font path element (#0), possible causes are:
>> >     Directory does not exist or has wrong permissions
>> >     Directory missing fonts.dir
>> >     Incorrect font server address or syntax
>> > gast@graviton ~$ ls -l ~/.guix-profile/share/fonts/truetype/fonts.dir=
=20
>> > lrwxrwxrwx 2 root root 84 Jan  1  1970 /home/gast/.guix-profile/share/=
fonts/truetype/fonts.dir -> /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fon=
ts-dir/share/fonts/truetype/fonts.dir
>> > gast@graviton ~$ xset +fp /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-=
fonts-dir/share/fonts/truetype
>> >
>> >
>> > The last command exits with code 0.  Apparently, xset(1) does not want
>> > me to add symlink(2)s that point to valid directories.=20=20
>>=20
>> Would this be a good fix:
>
> More or less, but it is fonts.dir that points to the right location
> though we need the base dir of that, so the patch must be:
>
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 24db16761..35221ff94 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -1572,7 +1572,7 @@ To be able to use such full names for the
> TrueType fonts installed in your Guix profile, you need to extend the
> font path of the X server:=20
>  @example
> -xset +fp ~/.guix-profile/share/fonts/truetype
> +xset +fp $(dirname $(readlink -f ~/.guix-profile/share/fonts/truetype/fo=
nts.dir))
>  @end example

Actually commit 07ec349229 that I just pushed fixes this very line.  So
I guess we=E2=80=99re done?

Thanks,
Ludo=E2=80=99.




Notification sent to Marco van Hulten <marco@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to ludo@HIDDEN (Ludovic Courtès):
You have taken responsibility. Full text available.

Message received at 30655 <at> debbugs.gnu.org:


Received: (at 30655) by debbugs.gnu.org; 1 Mar 2018 21:27:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 01 16:27:44 2018
Received: from localhost ([127.0.0.1]:39799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1erVjs-0006SQ-8B
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2018 16:27:44 -0500
Received: from eterpe-smout.broadpark.no ([80.202.8.16]:46265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marco@HIDDEN>) id 1erVjq-0006SD-8v
 for 30655 <at> debbugs.gnu.org; Thu, 01 Mar 2018 16:27:42 -0500
MIME-version: 1.0
Content-type: text/plain; charset=UTF-8
Received: from bgo1cloudm1.nextgentel.net ([80.202.8.58])
 by eterpe-smout.broadpark.no
 (Oracle Communications Messaging Server 7u4-27.01(7.0.4.27.0) 64bit (built Aug
 30 2012)) with ESMTP id <0P4X006UOKXNI150@HIDDEN> for
 30655 <at> debbugs.gnu.org; Thu, 01 Mar 2018 22:27:36 +0100 (CET)
Received: from jasniac.instanton ([89.10.168.15])
 by cmsmtp with SMTP	id rVjkerrb37XUXrVjkerKli; Thu, 01 Mar 2018 22:27:36 +0100
X-Original-Source-IP: 89.10.168.15
Date: Thu, 01 Mar 2018 22:27:35 +0100
From: Marco van Hulten <marco@HIDDEN>
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#30655: xset(1) not accepting symlink to font path
Message-id: <20180301222735.71e4d1fe@HIDDEN>
In-reply-to: <87vaefwuw9.fsf@HIDDEN>
References: <20180228225429.09cd9fd8@HIDDEN>
 <87vaefwuw9.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.25; x86_64-pc-linux-gnu)
Content-transfer-encoding: quoted-printable
X-CMAE-Envelope: MS4wfEvOZp8banXIO5gHS9HsAvpvG9Rzl138WAuzNugDEffzg8gzbfBq5mWQg71KiNj7ghZh+Cq9p4jtVGkE2lzNuW/Xdp/6G3tTR36wDqADfvB+1IGBHNfF
 /d/GgZTnyHWzpRRQ0OneXgY9Y+jBesnmMGMvgLK+0QkKvs9i/8jLmcetoXZP1KmIPAwweZIyLRVOuSK4MVktFjkQ0aw8D1svZuU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30655
Cc: 30655 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Alex=E2=80=94

Je  1 mrt 20:47 skribis Alex:
> I fixed it on my side simply by making 'my-xorg-server' package
> that uses a "fixed" version of libxfont (that supports symlinks).
>=20
> If anyone is interested, I also wrote a descriptive commit message here:
>=20
>   https://notabug.org/alezost/guix-config/commit/161d5e2e36e53c0d9c46181e=
10e1595e607748dd

That's an interesting approach as well!  Of course, the change in the
documentation as Ludo' proposed is a bit less invasive :-)

I wonder if the libXfont security issue couldn't be solved in a way
such that it can still handle symlinks.  But it is not something to
dwell over long: the documentation change is sufficient in my opinion.

=E2=80=94Marco




Information forwarded to bug-guix@HIDDEN:
bug#30655; Package guix. Full text available.

Message received at 30655 <at> debbugs.gnu.org:


Received: (at 30655) by debbugs.gnu.org; 1 Mar 2018 21:17:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 01 16:17:18 2018
Received: from localhost ([127.0.0.1]:39787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1erVZl-0006Dk-L1
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2018 16:17:17 -0500
Received: from eterpe-smout.broadpark.no ([80.202.8.16]:45471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marco@HIDDEN>) id 1erVZk-0006DX-DG
 for 30655 <at> debbugs.gnu.org; Thu, 01 Mar 2018 16:17:17 -0500
MIME-version: 1.0
Content-type: text/plain; charset=UTF-8
Received: from bgo1cloudm1.nextgentel.net ([80.202.8.58])
 by eterpe-smout.broadpark.no
 (Oracle Communications Messaging Server 7u4-27.01(7.0.4.27.0) 64bit (built Aug
 30 2012)) with ESMTP id <0P4X007IUKGM9140@HIDDEN> for
 30655 <at> debbugs.gnu.org; Thu, 01 Mar 2018 22:17:10 +0100 (CET)
Received: from jasniac.instanton ([89.10.168.15])
 by cmsmtp with SMTP	id rVZderrWI7XUXrVZderKla; Thu, 01 Mar 2018 22:17:09 +0100
X-Original-Source-IP: 89.10.168.15
Date: Thu, 01 Mar 2018 22:17:09 +0100
From: Marco van Hulten <marco@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=), 30655 <at> debbugs.gnu.org
Subject: Re: bug#30655: xset(1) not accepting symlink to font path
Message-id: <20180301221501.5e5f419e@HIDDEN>
In-reply-to: <87po4n4u2u.fsf@HIDDEN>
References: <20180228225429.09cd9fd8@HIDDEN>
 <87po4n4u2u.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.25; x86_64-pc-linux-gnu)
Content-transfer-encoding: quoted-printable
X-CMAE-Envelope: MS4wfJvi4fcKAOkBpAEnyhR49Qqoc6dRUhpEoxJ2GZjnUPpNLw93IaXVYgOVhQJFyjMk2drJXUMSoNZfgRmwZXa0fQWOs8V2JoMmzKE3EldnTXyO1rf3Xmv4
 rWg8Y0VJ/wGwZEKVja3yhgD6eYBs1dxPql8UwbFhaKvcDsJ9Y18P9Lq/PkU1Bg7hG3dcG8YFlRxHAw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30655
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ludovic=E2=80=94

Je  1 mrt 17:52 skribis Ludovic:
> Marco van Hulten <marco@HIDDEN> skribis:
>=20
> > When I follow the manual at
> > https://www.gnu.org/software/guix/manual/html_node/Application-Setup.ht=
ml#X11-Fonts ,
> > I get the message that there is something wrong with the directory I'm
> > trying to add it:
> >
> >
> > gast@graviton ~$ xset +fp ~/.guix-profile/share/fonts/truetype
> > xset:  bad font path element (#0), possible causes are:
> >     Directory does not exist or has wrong permissions
> >     Directory missing fonts.dir
> >     Incorrect font server address or syntax
> > gast@graviton ~$ ls -l ~/.guix-profile/share/fonts/truetype/fonts.dir=20
> > lrwxrwxrwx 2 root root 84 Jan  1  1970 /home/gast/.guix-profile/share/f=
onts/truetype/fonts.dir -> /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-font=
s-dir/share/fonts/truetype/fonts.dir
> > gast@graviton ~$ xset +fp /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-f=
onts-dir/share/fonts/truetype
> >
> >
> > The last command exits with code 0.  Apparently, xset(1) does not want
> > me to add symlink(2)s that point to valid directories. =20
>=20
> Would this be a good fix:

More or less, but it is fonts.dir that points to the right location
though we need the base dir of that, so the patch must be:


diff --git a/doc/guix.texi b/doc/guix.texi
index 24db16761..35221ff94 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -1572,7 +1572,7 @@ To be able to use such full names for the
TrueType fonts installed in your Guix profile, you need to extend the
font path of the X server:=20
 @example
-xset +fp ~/.guix-profile/share/fonts/truetype
+xset +fp $(dirname $(readlink -f
~/.guix-profile/share/fonts/truetype/fonts.dir)) @end example
=20
 @cindex @code{xlsfonts}


The issue is apparently not really a bug but more of an obvious side
effect of the security improvement of libXfont as Alex Kost pointed out.
Changing the documentation as above handles this issue well.

=E2=80=94Marco

P.S. How do you make a patch appear as both a file *and* as text within
the body of an e-mail (that's how Claws Mail presented it to me)?




Information forwarded to bug-guix@HIDDEN:
bug#30655; Package guix. Full text available.

Message received at 30655 <at> debbugs.gnu.org:


Received: (at 30655) by debbugs.gnu.org; 1 Mar 2018 17:47:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 01 12:47:11 2018
Received: from localhost ([127.0.0.1]:39581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1erSIR-0007kz-7c
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2018 12:47:11 -0500
Received: from mail-lf0-f53.google.com ([209.85.215.53]:43497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alezost@HIDDEN>) id 1erSIO-0007kl-AU
 for 30655 <at> debbugs.gnu.org; Thu, 01 Mar 2018 12:47:09 -0500
Received: by mail-lf0-f53.google.com with SMTP id q69so9555442lfi.10
 for <30655 <at> debbugs.gnu.org>; Thu, 01 Mar 2018 09:47:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=gclsSiiAwZ/I6a0MCogP06Gu9wgfn3htbQmh7iNFqrQ=;
 b=EeH+qoYoHeHx0LVnTDdgvxOfiAFJ/fRDUc5QrtenWCqS1eQJ79jN4XWrsUqrHZjd+3
 iLUcmTG32hl7jl6dNWQ4wBKsyiGDSRBTmcBaZ3mIQlhQaaI2O6NdzkfnEc5PoSXVuAAU
 DBA/dAauYIwUAHAtDFy1lzNjZElgRcXQ4GmsM/ewK6uGUURKaYxQhjB/2FW+5a+aU2FE
 o8GP5U4ePp4zexACG8Pct7v3QVT4aA12bHywKk2IcX0n7cuJLCmeQ1X9tRZN3X1HpPUu
 mLkT4OxCTjT67/0n2k4unIdOUxuLn6gJZ7zeF3W2Huee+X9c7R2xBHaRn8T38qK6+XB5
 gNHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=gclsSiiAwZ/I6a0MCogP06Gu9wgfn3htbQmh7iNFqrQ=;
 b=rRpcuvZCffQVqeg55Xehw6QVmWCU1Ghb5DKqvTqahZ5Vyw3zkc+cfJReTYLKqA2q+v
 5zjcg0jZQ9v9opo/sYkdjkQ8d6L2f2mxs5N+d+5ydwMgKbHHx8vVSakBvrv2nBirMTPL
 dC2jDH49O5To9N6cVqW5rcBWDO8Au3tSsm8D88JCTsuCeqHnqudkn5ELvUaoDO9DvCEm
 qBoNNSJ7mBzwoe8Smi7wLb7IRfcXhURcZWV+Mlhr0CmfoexgwdF9LtqcBtBK8dqnu3xj
 sNmHpUAl6ADO5I2lq17qcuJmI+o6WWXnE3+X2WUTpQ5J8RwKEn5v1sdm0GH2XJ0UGypG
 Bcew==
X-Gm-Message-State: AElRT7E/+Ae8hkvQY7YOA+Ksjt5UhGXAv8DP+4igAcWN+eSIRaECrVon
 smDaVAB2oUyzzRjkT3r4DI4bsg==
X-Google-Smtp-Source: AG47ELvpka9uMw3yxfNvYJYQf3GxxtybqqLEVE7u6ePgj+Kf9YNK6VttNXqK8JpK51PEZJ1H53REEQ==
X-Received: by 10.25.147.219 with SMTP id w88mr1995183lfk.58.1519926421230;
 Thu, 01 Mar 2018 09:47:01 -0800 (PST)
Received: from leviafan ([217.107.194.32])
 by smtp.gmail.com with ESMTPSA id t75sm964421lje.16.2018.03.01.09.46.59
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 01 Mar 2018 09:47:00 -0800 (PST)
From: Alex Kost <alezost@HIDDEN>
To: Marco van Hulten <marco@HIDDEN>
Subject: Re: bug#30655: xset(1) not accepting symlink to font path
References: <20180228225429.09cd9fd8@HIDDEN>
Date: Thu, 01 Mar 2018 20:47:02 +0300
In-Reply-To: <20180228225429.09cd9fd8@HIDDEN> (Marco van Hulten's
 message of "Wed, 28 Feb 2018 22:54:29 +0100")
Message-ID: <87vaefwuw9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30655
Cc: 30655 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Marco van Hulten (2018-02-28 22:54 +0100) wrote:

> Hello,
>
> When I follow the manual at
> https://www.gnu.org/software/guix/manual/html_node/Application-Setup.html#X11-Fonts ,
> I get the message that there is something wrong with the directory I'm
> trying to add it:
>
>
> gast@graviton ~$ xset +fp ~/.guix-profile/share/fonts/truetype
> xset:  bad font path element (#0), possible causes are:
>     Directory does not exist or has wrong permissions
>     Directory missing fonts.dir
>     Incorrect font server address or syntax
> gast@graviton ~$ ls -l ~/.guix-profile/share/fonts/truetype/fonts.dir 
> lrwxrwxrwx 2 root root 84 Jan 1 1970
> /home/gast/.guix-profile/share/fonts/truetype/fonts.dir ->
> /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-dir/share/fonts/truetype/fonts.dir
> gast@graviton ~$ xset +fp /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-dir/share/fonts/truetype
>
>
> The last command exits with code 0.  Apparently, xset(1) does not want
> me to add symlink(2)s that point to valid directories.

Sounds familiar.  I recall I dealt with this problem some time ago.  In
short, it was introduced by one of the dependencies of X server
(libXfont):

  https://cgit.freedesktop.org/xorg/lib/libXfont/commit/?id=7b377456f95d2ec3ead40f4fb74ea620191f88c8

X server allowed to use symlinks for fonts before that commit,
but not anymore.

I fixed it on my side simply by making 'my-xorg-server' package
that uses a "fixed" version of libxfont (that supports symlinks).

If anyone is interested, I also wrote a descriptive commit message here:

  https://notabug.org/alezost/guix-config/commit/161d5e2e36e53c0d9c46181e10e1595e607748dd

-- 
Alex




Information forwarded to bug-guix@HIDDEN:
bug#30655; Package guix. Full text available.

Message received at 30655 <at> debbugs.gnu.org:


Received: (at 30655) by debbugs.gnu.org; 1 Mar 2018 16:52:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 01 11:52:14 2018
Received: from localhost ([127.0.0.1]:39553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1erRRF-0006Of-Qn
	for submit <at> debbugs.gnu.org; Thu, 01 Mar 2018 11:52:14 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:39524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1erRRD-0006OU-Bd
 for 30655 <at> debbugs.gnu.org; Thu, 01 Mar 2018 11:52:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id BC8C11060B;
 Thu,  1 Mar 2018 17:52:10 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id B9Qbjxc25ujh; Thu,  1 Mar 2018 17:52:09 +0100 (CET)
Received: from ribbon (unknown [193.50.110.134])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id B44B71025C;
 Thu,  1 Mar 2018 17:52:09 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Marco van Hulten <marco@HIDDEN>
Subject: Re: bug#30655: xset(1) not accepting symlink to font path
References: <20180228225429.09cd9fd8@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 11 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 01 Mar 2018 17:52:09 +0100
In-Reply-To: <20180228225429.09cd9fd8@HIDDEN> (Marco van Hulten's
 message of "Wed, 28 Feb 2018 22:54:29 +0100")
Message-ID: <87po4n4u2u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30655
Cc: 30655 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--=-=-=
Content-Type: text/plain

Hi Marco,

Marco van Hulten <marco@HIDDEN> skribis:

> When I follow the manual at
> https://www.gnu.org/software/guix/manual/html_node/Application-Setup.html#X11-Fonts ,
> I get the message that there is something wrong with the directory I'm
> trying to add it:
>
>
> gast@graviton ~$ xset +fp ~/.guix-profile/share/fonts/truetype
> xset:  bad font path element (#0), possible causes are:
>     Directory does not exist or has wrong permissions
>     Directory missing fonts.dir
>     Incorrect font server address or syntax
> gast@graviton ~$ ls -l ~/.guix-profile/share/fonts/truetype/fonts.dir 
> lrwxrwxrwx 2 root root 84 Jan  1  1970 /home/gast/.guix-profile/share/fonts/truetype/fonts.dir -> /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-dir/share/fonts/truetype/fonts.dir
> gast@graviton ~$ xset +fp /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-dir/share/fonts/truetype
>
>
> The last command exits with code 0.  Apparently, xset(1) does not want
> me to add symlink(2)s that point to valid directories.

Would this be a good fix:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/doc/guix.texi b/doc/guix.texi
index 24db16761..35221ff94 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -1572,7 +1572,7 @@ To be able to use such full names for the TrueType fonts installed in
 your Guix profile, you need to extend the font path of the X server:
 
 @example
-xset +fp ~/.guix-profile/share/fonts/truetype
+xset +fp `readlink -f ~/.guix-profile/share/fonts/truetype`
 @end example
 
 @cindex @code{xlsfonts}

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


?

Thanks,
Ludo=E2=80=99.

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#30655; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2018 21:54:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 28 16:54:49 2018
Received: from localhost ([127.0.0.1]:37975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1er9gX-0007Uf-9d
	for submit <at> debbugs.gnu.org; Wed, 28 Feb 2018 16:54:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marco@HIDDEN>) id 1er9gV-0007UO-9P
 for submit <at> debbugs.gnu.org; Wed, 28 Feb 2018 16:54:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <marco@HIDDEN>) id 1er9gO-00032K-7o
 for submit <at> debbugs.gnu.org; Wed, 28 Feb 2018 16:54:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,
 RECEIVED_FROM_WINDOWS_HOST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37597)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <marco@HIDDEN>) id 1er9gO-00031m-26
 for submit <at> debbugs.gnu.org; Wed, 28 Feb 2018 16:54:40 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40255)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <marco@HIDDEN>) id 1er9gL-00062P-M4
 for bug-guix@HIDDEN; Wed, 28 Feb 2018 16:54:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <marco@HIDDEN>) id 1er9gH-0002u4-J0
 for bug-guix@HIDDEN; Wed, 28 Feb 2018 16:54:37 -0500
Received: from eterpe-smout.broadpark.no ([80.202.8.16]:35713)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <marco@HIDDEN>) id 1er9gH-0002q6-8x
 for bug-guix@HIDDEN; Wed, 28 Feb 2018 16:54:33 -0500
MIME-version: 1.0
Content-type: text/plain; charset=UTF-8
Received: from bgo1cloudm1.nextgentel.net ([80.202.8.58])
 by eterpe-smout.broadpark.no
 (Oracle Communications Messaging Server 7u4-27.01(7.0.4.27.0) 64bit (built Aug
 30 2012)) with ESMTP id <0P4V00JJ8RFVQED0@HIDDEN> for
 bug-guix@HIDDEN; Wed, 28 Feb 2018 22:54:30 +0100 (CET)
Received: from jasniac.instanton ([89.10.168.15])
 by cmsmtp with SMTP	id r9gDergkM7XUXr9gDerK7N; Wed, 28 Feb 2018 22:54:29 +0100
X-Original-Source-IP: 89.10.168.15
Date: Wed, 28 Feb 2018 22:54:29 +0100
From: Marco van Hulten <marco@HIDDEN>
To: bug-guix@HIDDEN
Subject: xset(1) not accepting symlink to font path
Message-id: <20180228225429.09cd9fd8@HIDDEN>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.25; x86_64-pc-linux-gnu)
Content-transfer-encoding: quoted-printable
X-CMAE-Envelope: MS4wfJLk2zLnzNibVWhwRw4CyRF6fSlo6CSxMtFUCWs0RYCXYq70L287V4csWYi72sL6crU2274O+kkEGbZBTzues0zqz2jNr41+bC0dlIsdp5ItIQDUrVhR
 Lj2PTNTHFLp/0UPm2MHvRZzZK4xDz1EGdUXo3yRiIqz0vFurG/ie2z/1
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

When I follow the manual at
https://www.gnu.org/software/guix/manual/html_node/Application-Setup.html#X=
11-Fonts ,
I get the message that there is something wrong with the directory I'm
trying to add it:


gast@graviton ~$ xset +fp ~/.guix-profile/share/fonts/truetype
xset:  bad font path element (#0), possible causes are:
    Directory does not exist or has wrong permissions
    Directory missing fonts.dir
    Incorrect font server address or syntax
gast@graviton ~$ ls -l ~/.guix-profile/share/fonts/truetype/fonts.dir=20
lrwxrwxrwx 2 root root 84 Jan  1  1970 /home/gast/.guix-profile/share/fonts=
/truetype/fonts.dir -> /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts-di=
r/share/fonts/truetype/fonts.dir
gast@graviton ~$ xset +fp /gnu/store/5kp6hj8mk6pgfl4x3cgabl7z379jyyrl-fonts=
-dir/share/fonts/truetype


The last command exits with code 0.  Apparently, xset(1) does not want
me to add symlink(2)s that point to valid directories.

=E2=80=94Marco




Acknowledgement sent to Marco van Hulten <marco@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#30655; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 3 Mar 2018 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.